using namespace std;

#include <iostream>

int main()
{

    int a[100];
    int broj_ucenika;
    int broj_krem_bananica;
    int broj_grupa;
    int suma1, suma2, suma3;
    int i, ug, bkb;

    i = 0;
    ug = 0;
    bkb = 0;


    cin >> broj_ucenika;


    cin >> broj_krem_bananica;


    cin >> broj_grupa;

    if (broj_grupa > broj_ucenika) {
        cout << "Nie" << endl;
        ug = 1;
    }
    else {
        for (int broj = 1; broj < broj_grupa; broj++)
        {
            a[i] = broj_ucenika % broj_grupa;
            i = i + 1;
        }
        a[i] = broj_ucenika - a[0];
    }

    suma1 = 0;
    suma2 = 0;
    suma3 = 0;

    for (int broj = 1; broj <= a[0]; broj++)
    {
        suma1 = suma1 + broj;
    }

    for (int broj = 1; broj <= a[i]; broj++)
    {
        suma2 = suma2 + broj;
    }

    for (int broj = 0; broj < broj_grupa - 1; broj++) {
        suma3 = suma3 + suma1;
    }
    suma3 = suma3 + suma2;

    if (suma3 > broj_krem_bananica) {
        cout << "Nie" << endl;
        bkb = 1;
    }

    if (bkb == 0 && ug == 0)
    {
        cout << "Tak" << endl;
    }
    else
    {
        cout << "Nie" << endl;
    }

    return 0;
}